% a,b, alpha, beta as functions of depth

function [A,B, alpha, beta, a, b] = TD_coeff_AB(CT,AS,p) 

alpha = gsw_alpha(AS,CT,p);
beta = gsw_beta(AS,CT,p);

% calculate a
c_T1 = gsw_sound_speed(AS,CT,p);
c_T2 = gsw_sound_speed(AS,CT+1,p);
a = (c_T2-c_T1)./c_T1;

% calculate b
c_S1 = gsw_sound_speed(AS,CT,p);
c_S2 = gsw_sound_speed(AS+1,CT,p);
b = (c_S2-c_S1)./c_S1;

A = a - alpha;
B = b + beta;

% figure
% plot(A,p), axis ij
% hold on
% plot(B,p)
% legend('A', 'B')
% xlabel('A,B')
% ylabel('p')

end